<?php

namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\Sm00006000HabilidadeServicoFactory;

class Sm00006000HabilidadeServicoService{
    
        protected $habilidadeFactory;
        
        public function __construct (Sm00006000HabilidadeServicoFactory $habilidadeFactory) {
            $this->habilidadeFactory = $habilidadeFactory;
        }
        
        public function validacao($servico, $habilidade, $nrorg) {
            $habilidade = implode($habilidade,",");
            $dados = $this->habilidadeFactory-> validacao($servico, $habilidade, $nrorg); 
            $resultado = $dados[0]["EXISTE"];
            return ($resultado == 0);
        }
    }

?>